CBCODEC(1)

NAME
cbcodec - popular encoders and decoders

SYNOPSIS
cbcodec url [-d] [-br] [-rs base target] [-l] [-e expr] [file]
cbcodec base [-d] [-l] [-c num] [-e expr] [file]
cbcodec quote [-d] [-l] [-c num] [-e expr] [file]
cbcodec mime [-d] [-hd] [-bd] [-part num] [-l] [-ec code] [-qp] [-dc] [-e expr] [file]
cbcodec csv [-d] [-t] [-l] [-e expr] [-html] [file]
cbcodec xml [-d] [-p] [-l] [-e expr] [-tsv] [file]
cbcodec zlib [-d] [-gz] [-crc] [file]
cbcodec lzo [-d] [file]
cbcodec bzip [-d] [file]
cbcodec iconv [-ic code] [-oc code] [-ol ltype] [-cn] [-wc] [-um] [file]
cbcodec date [-wf] [-rf] [-utc] [str]

DESCRIPTION
This manual page documents briefly the cbcodec commands.

cbcodec is a tool to use encoding and decoding features provided by Cabin. This command is used in the above format. file specifies a input file. If it is omitted, the standard input is read.

OPTIONS
A summary of options is included below. For a complete description, see the file:///usr/share/doc/qdbm-doc/spex.html#cabincli.

-d  perform decoding (unescaping), not encoding (escaping).

-br break up URL into elements.

-rs resolve relative URL.

-l  output the tailing newline.

-e expr
    specify input data directly.

-c num
    limit the number of columns of the encoded data.

-hd parse MIME and extract headers in TSV format.

-bd parse MIME and extract the body.

-part num
    parse MIME and extract a part.

-ec code
    specify the input encoding, which is UTF-8 by default.

-qp use quoted-printable encoding, which is Base64 by default.

-dc output the encoding name instead of the result string when decoding.

-t  parse CSV. Convert the data into TSV. Tab and new-line in a cell are deleted.

-html
    parse CSV. Convert the data into HTML.

-p  parse XML. Show tags and text sections with dividing headers.

-tsv
    parse XML. Show the result in TSV format. Characters of tabs and new-lines are URL-encoded.

-gz use GZIP format.

-crc
    output the CRC32 checksum as hexadecimal and big endian.

-ic code
    specify the input encoding, which is detected automatically by default.

-oc code
    specify the output encoding, which is UTF-8 by default.

-ol ltype
    convert line feed characters, with `unix'(LF), `dos'(CRLF), and `mac'(CR).

-cn detect the input encoding and show its name.

-wc count the number of characters of the input string of UTF-8.

-um output mappings of UCS-2 characters and C strings of UTF-16BE and UTF-8.

-wf output in W3CDTF format.

-rf output in RFC 1123 format.

-utc
    output the coordinate universal time.

SEE ALSO
qdbm(3), cabin(3).

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.

This manual page was written by Fumitoshi UKAI <ukai@debian.or.jp>, for the Debian project (but may be used by others).